<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE schema SYSTEM "schematron1-5.dtd">
<schema xmlns="http://www.ascc.net/xml/schematron">

<title>Country code validation</title>

<p>A demonstration of the use of Schematron.</p>

<phase id="only-one">
  <active pattern="check-currency"/>
</phase>

<pattern name="Checking currency values" id="check-currency">
  <rule id="currency-value" abstract="true">
    <assert test="
@amountCurrencyID = 'CAD' or
@amountCurrencyID = 'JPY' or
@amountCurrencyID = 'USD'
">Currency "<value-of select="@amountCurrencyID"/>" is not accepted at this time.</assert>
  </rule>
  <rule context="*[@amountCurrencyID]">
    <extends rule="currency-value"/>
  </rule>
</pattern>

</schema>
