<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE schema SYSTEM "schematron1-5.dtd">
<schema xmlns="http://www.ascc.net/xml/schematron">

<title>Country code validation</title>

<p>A demonstration of the use of Schematron.</p>

<phase id="only-one">
  <active pattern="check-currency"/>
</phase>

<pattern name="Checking currency values" id="check-currency">
  <rule id="currency-value" abstract="true">
    <assert test="
@amountCurrencyID = 'AED' or
@amountCurrencyID = 'AFN' or
@amountCurrencyID = 'ALL' or
@amountCurrencyID = 'AMD' or
@amountCurrencyID = 'ANG' or
@amountCurrencyID = 'AOA' or
@amountCurrencyID = 'ARS' or
@amountCurrencyID = 'AUD' or
@amountCurrencyID = 'AWG' or
@amountCurrencyID = 'AZM' or
@amountCurrencyID = 'BAM' or
@amountCurrencyID = 'BBD' or
@amountCurrencyID = 'BDT' or
@amountCurrencyID = 'BGN' or
@amountCurrencyID = 'BHD' or
@amountCurrencyID = 'BIF' or
@amountCurrencyID = 'BMD' or
@amountCurrencyID = 'BND' or
@amountCurrencyID = 'BOB' or
@amountCurrencyID = 'BRL' or
@amountCurrencyID = 'BSD' or
@amountCurrencyID = 'BTN' or
@amountCurrencyID = 'BWP' or
@amountCurrencyID = 'BYR' or
@amountCurrencyID = 'BZD' or
@amountCurrencyID = 'CAD' or
@amountCurrencyID = 'CDF' or
@amountCurrencyID = 'CHF' or
@amountCurrencyID = 'CLP' or
@amountCurrencyID = 'CNY' or
@amountCurrencyID = 'COP' or
@amountCurrencyID = 'CRC' or
@amountCurrencyID = 'CUP' or
@amountCurrencyID = 'CVE' or
@amountCurrencyID = 'CYP' or
@amountCurrencyID = 'CZK' or
@amountCurrencyID = 'DJF' or
@amountCurrencyID = 'DKK' or
@amountCurrencyID = 'DOP' or
@amountCurrencyID = 'DZD' or
@amountCurrencyID = 'EEK' or
@amountCurrencyID = 'EGP' or
@amountCurrencyID = 'ERN' or
@amountCurrencyID = 'ETB' or
@amountCurrencyID = 'EUR' or
@amountCurrencyID = 'FJD' or
@amountCurrencyID = 'FKP' or
@amountCurrencyID = 'GBP' or
@amountCurrencyID = 'GEL' or
@amountCurrencyID = 'GHC' or
@amountCurrencyID = 'GIP' or
@amountCurrencyID = 'GMD' or
@amountCurrencyID = 'GNF' or
@amountCurrencyID = 'GTQ' or
@amountCurrencyID = 'GYD' or
@amountCurrencyID = 'HKD' or
@amountCurrencyID = 'HNL' or
@amountCurrencyID = 'HRK' or
@amountCurrencyID = 'HTG' or
@amountCurrencyID = 'HUF' or
@amountCurrencyID = 'IDR' or
@amountCurrencyID = 'ILS' or
@amountCurrencyID = 'INR' or
@amountCurrencyID = 'IQD' or
@amountCurrencyID = 'IRR' or
@amountCurrencyID = 'ISK' or
@amountCurrencyID = 'JMD' or
@amountCurrencyID = 'JOD' or
@amountCurrencyID = 'JPY' or
@amountCurrencyID = 'KES' or
@amountCurrencyID = 'KGS' or
@amountCurrencyID = 'KHR' or
@amountCurrencyID = 'KMF' or
@amountCurrencyID = 'KPW' or
@amountCurrencyID = 'KRW' or
@amountCurrencyID = 'KWD' or
@amountCurrencyID = 'KYD' or
@amountCurrencyID = 'KZT' or
@amountCurrencyID = 'LAK' or
@amountCurrencyID = 'LBP' or
@amountCurrencyID = 'LKR' or
@amountCurrencyID = 'LRD' or
@amountCurrencyID = 'LSL' or
@amountCurrencyID = 'LTL' or
@amountCurrencyID = 'LVL' or
@amountCurrencyID = 'LYD' or
@amountCurrencyID = 'MAD' or
@amountCurrencyID = 'MDL' or
@amountCurrencyID = 'MGF' or
@amountCurrencyID = 'MKD' or
@amountCurrencyID = 'MMK' or
@amountCurrencyID = 'MNT' or
@amountCurrencyID = 'MOP' or
@amountCurrencyID = 'MRO' or
@amountCurrencyID = 'MTL' or
@amountCurrencyID = 'MUR' or
@amountCurrencyID = 'MVR' or
@amountCurrencyID = 'MWK' or
@amountCurrencyID = 'MXN' or
@amountCurrencyID = 'MYR' or
@amountCurrencyID = 'MZM' or
@amountCurrencyID = 'NAD' or
@amountCurrencyID = 'NGN' or
@amountCurrencyID = 'NIO' or
@amountCurrencyID = 'NOK' or
@amountCurrencyID = 'NPR' or
@amountCurrencyID = 'NZD' or
@amountCurrencyID = 'OMR' or
@amountCurrencyID = 'PAB' or
@amountCurrencyID = 'PEN' or
@amountCurrencyID = 'PGK' or
@amountCurrencyID = 'PHP' or
@amountCurrencyID = 'PKR' or
@amountCurrencyID = 'PLN' or
@amountCurrencyID = 'PYG' or
@amountCurrencyID = 'QAR' or
@amountCurrencyID = 'ROL' or
@amountCurrencyID = 'RUB' or
@amountCurrencyID = 'RWF' or
@amountCurrencyID = 'SAR' or
@amountCurrencyID = 'SBD' or
@amountCurrencyID = 'SCR' or
@amountCurrencyID = 'SDD' or
@amountCurrencyID = 'SEK' or
@amountCurrencyID = 'SGD' or
@amountCurrencyID = 'SHP' or
@amountCurrencyID = 'SIT' or
@amountCurrencyID = 'SKK' or
@amountCurrencyID = 'SLL' or
@amountCurrencyID = 'SOS' or
@amountCurrencyID = 'SRG' or
@amountCurrencyID = 'STD' or
@amountCurrencyID = 'SVC' or
@amountCurrencyID = 'SYP' or
@amountCurrencyID = 'SZL' or
@amountCurrencyID = 'THB' or
@amountCurrencyID = 'TJS' or
@amountCurrencyID = 'TMM' or
@amountCurrencyID = 'TND' or
@amountCurrencyID = 'TOP' or
@amountCurrencyID = 'TRL' or
@amountCurrencyID = 'TTD' or
@amountCurrencyID = 'TWD' or
@amountCurrencyID = 'TZS' or
@amountCurrencyID = 'UAH' or
@amountCurrencyID = 'UGX' or
@amountCurrencyID = 'USD' or
@amountCurrencyID = 'UYU' or
@amountCurrencyID = 'UZS' or
@amountCurrencyID = 'VEB' or
@amountCurrencyID = 'VND' or
@amountCurrencyID = 'VUV' or
@amountCurrencyID = 'WST' or
@amountCurrencyID = 'XAF' or
@amountCurrencyID = 'XAG' or
@amountCurrencyID = 'XAU' or
@amountCurrencyID = 'XCD' or
@amountCurrencyID = 'XDR' or
@amountCurrencyID = 'XOF' or
@amountCurrencyID = 'XPD' or
@amountCurrencyID = 'XPF' or
@amountCurrencyID = 'XPT' or
@amountCurrencyID = 'YER' or
@amountCurrencyID = 'YUM' or
@amountCurrencyID = 'ZAR' or
@amountCurrencyID = 'ZMK' or
@amountCurrencyID = 'ZWD'
">Currency code "<value-of select="@amountCurrencyID"/>" is not a valid code.</assert>
  </rule>
  <rule context="*[@amountCurrencyID]">
    <extends rule="currency-value"/>
  </rule>
</pattern>

</schema>
